module SignalProcessingOption where

import Option (switch, )
import qualified Options.Applicative as OP

import qualified SignalProcessingMethods as SPMethods
import qualified SignalProcessingSpecific as SPS
import qualified SignalProcessingSpecificLLVM as SPSLLVM

import Control.Applicative ((<$>), )


opt :: OP.Parser SPMethods.T
opt =
   (\b -> if b then SPSLLVM.methods else SPS.methods) <$>
   switch True "llvm" "use LLVM to accelerate signal processing"
